summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-17 18:00:07 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-17 18:03:05 (EDT)
commitc7e5cbf28cba46c8e6438050d4e260be0b32b682 (patch)
treed5de3b58e96d252d33ae7b8e9990b8299a290147 /tests
parentb213806a1845cd2ccfc57c1fc45072bf1aef3f71 (diff)
tests/exe/ob-applypatches.sh: New test file
Diffstat (limited to 'tests')
-rwxr-xr-xtests/exe/ob-applypatches.sh41
-rw-r--r--tests/local.mk3
2 files changed, 43 insertions, 1 deletions
diff --git a/tests/exe/ob-applypatches.sh b/tests/exe/ob-applypatches.sh
new file mode 100755
index 0000000..c652275
--- /dev/null
+++ b/tests/exe/ob-applypatches.sh
@@ -0,0 +1,41 @@
+# Tests for ob-applypatches
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+
+plan_ 5
+
+rm -Rf 'src/'
+cp -Rp '../../src/' 'src/'
+cmd_is 'sanity check' cat 'src/src/foo.sh' <<-EOF
+ ${FOO_SH}
+ EOF
+
+command_ok_ 'ob-applypatches first run exit status' -- ob-applypatches
+cmd_is 'patch applied' cat 'src/src/foo.sh' <<-EOF
+ ${FOO_SH_PATCHED}
+ EOF
+
+command_ok_ 'ob-applypatches second run exit status' -D TODO -- ob-applypatches
+cmd_is 'patch still applied' cat 'src/src/foo.sh' <<-EOF
+ ${FOO_SH_PATCHED}
+ EOF
diff --git a/tests/local.mk b/tests/local.mk
index 72f1135..517dba9 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -7,7 +7,8 @@ TESTS = \
%reldir%/lib/ob_parse_control.sh \
%reldir%/exe/opkbuild_version.sh \
%reldir%/exe/ob-buildenv.sh \
- %reldir%/exe/ob-unpacksource.sh
+ %reldir%/exe/ob-unpacksource.sh \
+ %reldir%/exe/ob-applypatches.sh
TEST_EXTENSIONS = .sh
SH_LOG_DRIVER = \
$(SHELL) $(top_srcdir)/tests/aux/setup.sh "$(top_builddir)/tests" && \